<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo Lists</title>
</head>
<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <a href="{% url 'todo_list_create' %}">Create a New List</a>
        <table>
            <thead>
            <tr>
                <th>Name</th>
                <th>Number of Items</th>
            </tr>
            <tbody>
                {% for todo in todo_list %}
                <tr>
                    <td> <a href="{% url 'todo_list_detail' todo.id %}">{{ todo.name | upper }}</a></td>
                    <td>{{ todo.items.all|length }}</td>
                </tr>
                {% endfor %}
            </tbody>
            </thead>
        </table>
        </div>
    </main>
</body>
</html>
